/*  Copyright (C) 2002 - 2006 Zhenkai Liang and R. Sekar
    
    This file is part of etrace.

    Etrace is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Etrace is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with etrace; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __SYS_CALL_NUM_H 
#define __SYS_CALL_NUM_H
/*
 * This file contains the system call numbers.
 */

const int SYSCALL__exit = 1 ;
const int SYSCALL_fork = 2 ;
const int SYSCALL_read = 3 ;
const int SYSCALL_write = 4 ;
const int SYSCALL_open = 5 ;
const int SYSCALL_close = 6 ;
const int SYSCALL_waitpid = 7 ;
const int SYSCALL_creat = 8 ;
const int SYSCALL_link = 9 ;
const int SYSCALL_unlink = 10 ;
const int SYSCALL_execve = 11 ;
const int SYSCALL_chdir = 12 ;
const int SYSCALL_time = 13 ;
const int SYSCALL_mknod = 14 ;
const int SYSCALL_chmod = 15 ;
const int SYSCALL_lchown = 16 ;
const int SYSCALL_break = 17 ;
const int SYSCALL_oldstat = 18 ;
const int SYSCALL_lseek = 19 ;
const int SYSCALL_getpid = 20 ;
const int SYSCALL_mount = 21 ;
const int SYSCALL_umount = 22 ;
const int SYSCALL_setuid = 23 ;
const int SYSCALL_getuid = 24 ;
const int SYSCALL_stime = 25 ;
const int SYSCALL_ptrace = 26 ;
const int SYSCALL_alarm = 27 ;
const int SYSCALL_oldfstat = 28 ;
const int SYSCALL_pause = 29 ;
const int SYSCALL_utime = 30 ;
const int SYSCALL_stty = 31 ;
const int SYSCALL_gtty = 32 ;
const int SYSCALL_access = 33 ;
const int SYSCALL_nice = 34 ;
const int SYSCALL_ftime = 35 ;
const int SYSCALL_sync = 36 ;
const int SYSCALL_kill = 37 ;
const int SYSCALL_rename = 38 ;
const int SYSCALL_mkdir = 39 ;
const int SYSCALL_rmdir = 40 ;
const int SYSCALL_dup = 41 ;
const int SYSCALL_pipe = 42 ;
const int SYSCALL_times = 43 ;
const int SYSCALL_prof = 44 ;
const int SYSCALL_brk = 45 ;
const int SYSCALL_setgid = 46 ;
const int SYSCALL_getgid = 47 ;
const int SYSCALL_signal = 48 ;
const int SYSCALL_geteuid = 49 ;
const int SYSCALL_getegid = 50 ;
const int SYSCALL_acct = 51 ;
const int SYSCALL_umount2 = 52 ;
const int SYSCALL_lock = 53 ;
const int SYSCALL_ioctl = 54 ;
const int SYSCALL_fcntl = 55 ;
const int SYSCALL_mpx = 56 ;
const int SYSCALL_setpgid = 57 ;
const int SYSCALL_ulimit = 58 ;
const int SYSCALL_oldolduname = 59 ;
const int SYSCALL_umask = 60 ;
const int SYSCALL_chroot = 61 ;
const int SYSCALL_ustat = 62 ;
const int SYSCALL_dup2 = 63 ;
const int SYSCALL_getppid = 64 ;
const int SYSCALL_getpgrp = 65 ;
const int SYSCALL_setsid = 66 ;
const int SYSCALL_sigaction = 67 ;
const int SYSCALL_sgetmask = 68 ;
const int SYSCALL_ssetmask = 69 ;
const int SYSCALL_setreuid = 70 ;
const int SYSCALL_setregid = 71 ;
const int SYSCALL_sigsuspend = 72 ;
const int SYSCALL_sigpending = 73 ;
const int SYSCALL_sethostname = 74 ;
const int SYSCALL_setrlimit = 75 ;
const int SYSCALL_getrlimit = 76 /* Back compatible 2Gig limited rlimit */ ;
const int SYSCALL_getrusage = 77 ;
const int SYSCALL_gettimeofday = 78 ;
const int SYSCALL_settimeofday = 79 ;
const int SYSCALL_getgroups = 80 ;
const int SYSCALL_setgroups = 81 ;
const int SYSCALL_select = 82 ;
const int SYSCALL_symlink = 83 ;
const int SYSCALL_oldlstat = 84 ;
const int SYSCALL_readlink = 85 ;
const int SYSCALL_uselib = 86 ;
const int SYSCALL_swapon = 87 ;
const int SYSCALL_reboot = 88 ;
const int SYSCALL_readdir = 89 ;
const int SYSCALL_mmap = 90 ;
const int SYSCALL_munmap = 91 ;
const int SYSCALL_truncate = 92 ;
const int SYSCALL_ftruncate = 93 ;
const int SYSCALL_fchmod = 94 ;
const int SYSCALL_fchown = 95 ;
const int SYSCALL_getpriority = 96 ;
const int SYSCALL_setpriority = 97 ;
const int SYSCALL_profil = 98 ;
const int SYSCALL_statfs = 99 ;
const int SYSCALL_fstatfs = 100 ;
const int SYSCALL_ioperm = 101 ;
const int SYSCALL_socketcall = 102 ;
const int SYSCALL_syslog = 103 ;
const int SYSCALL_setitimer = 104 ;
const int SYSCALL_getitimer = 105 ;
const int SYSCALL_stat = 106 ;
const int SYSCALL_lstat = 107 ;
const int SYSCALL_fstat = 108 ;
const int SYSCALL_olduname = 109 ;
const int SYSCALL_iopl = 110 ;
const int SYSCALL_vhangup = 111 ;
const int SYSCALL_idle = 112 ;
const int SYSCALL_vm86old = 113 ;
const int SYSCALL_wait4 = 114 ;
const int SYSCALL_swapoff = 115 ;
const int SYSCALL_sysinfo = 116 ;
const int SYSCALL_ipc = 117 ;
const int SYSCALL_fsync = 118 ;
const int SYSCALL_sigreturn = 119 ;
const int SYSCALL_clone = 120 ;
const int SYSCALL_setdomainname = 121 ;
const int SYSCALL_uname = 122 ;
const int SYSCALL_modify_ldt = 123 ;
const int SYSCALL_adjtimex = 124 ;
const int SYSCALL_mprotect = 125 ;
const int SYSCALL_sigprocmask = 126 ;
const int SYSCALL_create_module = 127 ;
const int SYSCALL_init_module = 128 ;
const int SYSCALL_delete_module = 129 ;
const int SYSCALL_get_kernel_syms = 130 ;
const int SYSCALL_quotactl = 131 ;
const int SYSCALL_getpgid = 132 ;
const int SYSCALL_fchdir = 133 ;
const int SYSCALL_bdflush = 134 ;
const int SYSCALL_sysfs = 135 ;
const int SYSCALL_personality = 136 ;
const int SYSCALL_afs_syscall = 137 /* Syscall for Andrew File System */ ;
const int SYSCALL_setfsuid = 138 ;
const int SYSCALL_setfsgid = 139 ;
const int SYSCALL__llseek = 140 ;
const int SYSCALL_getdents = 141 ;
const int SYSCALL__newselect = 142 ;
const int SYSCALL_flock = 143 ;
const int SYSCALL_msync = 144 ;
const int SYSCALL_readv = 145 ;
const int SYSCALL_writev = 146 ;
const int SYSCALL_getsid = 147 ;
const int SYSCALL_fdatasync = 148 ;
const int SYSCALL__sysctl = 149 ;
const int SYSCALL_mlock = 150 ;
const int SYSCALL_munlock = 151 ;
const int SYSCALL_mlockall = 152 ;
const int SYSCALL_munlockall = 153 ;
const int SYSCALL_sched_setparam = 154 ;
const int SYSCALL_sched_getparam = 155 ;
const int SYSCALL_sched_setscheduler = 156 ;
const int SYSCALL_sched_getscheduler = 157 ;
const int SYSCALL_sched_yield = 158 ;
const int SYSCALL_sched_get_priority_max = 159 ;
const int SYSCALL_sched_get_priority_min = 160 ;
const int SYSCALL_sched_rr_get_interval = 161 ;
const int SYSCALL_nanosleep = 162 ;
const int SYSCALL_mremap = 163 ;
const int SYSCALL_setresuid = 164 ;
const int SYSCALL_getresuid = 165 ;
const int SYSCALL_vm86 = 166 ;
const int SYSCALL_query_module = 167 ;
const int SYSCALL_poll = 168 ;
const int SYSCALL_nfsservctl = 169 ;
const int SYSCALL_setresgid = 170 ;
const int SYSCALL_getresgid = 171 ;
const int SYSCALL_prctl = 172 ;
const int SYSCALL_rt_sigreturn = 173 ;
const int SYSCALL_rt_sigaction = 174 ;
const int SYSCALL_rt_sigprocmask = 175 ;
const int SYSCALL_rt_sigpending = 176 ;
const int SYSCALL_rt_sigtimedwait = 177 ;
const int SYSCALL_rt_sigqueueinfo = 178 ;
const int SYSCALL_rt_sigsuspend = 179 ;
const int SYSCALL_pread = 180 ;
const int SYSCALL_pwrite = 181 ;
const int SYSCALL_chown = 182 ;
const int SYSCALL_getcwd = 183 ;
const int SYSCALL_capget = 184 ;
const int SYSCALL_capset = 185 ;
const int SYSCALL_sigaltstack = 186 ;
const int SYSCALL_sendfile = 187 ;
const int SYSCALL_getpmsg = 188 /* some people actually want streams */ ;
const int SYSCALL_putpmsg = 189 /* some people actually want streams */ ;
const int SYSCALL_vfork = 190 ;
const int SYSCALL_ugetrlimit = 191 /* SuS compliant getrlimit */ ;
const int SYSCALL_mmap2 = 192 ;
const int SYSCALL_truncate64 = 193 ;
const int SYSCALL_ftruncate64 = 194 ;
const int SYSCALL_stat64 = 195 ;
const int SYSCALL_lstat64 = 196 ;
const int SYSCALL_fstat64 = 197 ;
const int SYSCALL_lchown32 = 198 ;
const int SYSCALL_getuid32 = 199 ;
const int SYSCALL_getgid32 = 200 ;
const int SYSCALL_geteuid32 = 201 ;
const int SYSCALL_getegid32 = 202 ;
const int SYSCALL_setreuid32 = 203 ;
const int SYSCALL_setregid32 = 204 ;
const int SYSCALL_getgroups32 = 205 ;
const int SYSCALL_setgroups32 = 206 ;
const int SYSCALL_fchown32 = 207 ;
const int SYSCALL_setresuid32 = 208 ;
const int SYSCALL_getresuid32 = 209 ;
const int SYSCALL_setresgid32 = 210 ;
const int SYSCALL_getresgid32 = 211 ;
const int SYSCALL_chown32 = 212 ;
const int SYSCALL_setuid32 = 213 ;
const int SYSCALL_setgid32 = 214 ;
const int SYSCALL_setfsuid32 = 215 ;
const int SYSCALL_setfsgid32 = 216 ;
const int SYSCALL_pivot_root = 217 ;
const int SYSCALL_mincore = 218 ;
const int SYSCALL_madvise = 219 ;
const int SYSCALL_madvise1 = 219 /* delete when C lib stub is removed */ ;
const int SYSCALL_getdents64 = 220 ;
const int SYSCALL_fcntl64 = 221 ;
const int SYSCALL_security = 223 /* syscall for security modules */ ;
const int SYSCALL_gettid = 224 ;
const int SYSCALL_readahead = 225 ;
const int SYSCALL_setxattr = 226 ;
const int SYSCALL_lsetxattr = 227 ;
const int SYSCALL_fsetxattr = 228 ;
const int SYSCALL_getxattr = 229 ;
const int SYSCALL_lgetxattr = 230 ;
const int SYSCALL_fgetxattr = 231 ;
const int SYSCALL_listxattr = 232 ;
const int SYSCALL_llistxattr = 233 ;
const int SYSCALL_flistxattr = 234 ;
const int SYSCALL_removexattr = 235 ;
const int SYSCALL_lremovexattr = 236 ;
const int SYSCALL_fremovexattr = 237 ;
const int SYSCALL_tkill = 238 ;
const int SYSCALL_sendfile64 = 239 ;
const int SYSCALL_futex = 240 ;
const int SYSCALL_sched_setaffinity = 241 ;
const int SYSCALL_sched_getaffinity = 242 ;
const int SYSCALL_set_thread_area  = 243 ;

const int SYSCALL_socket = 261 ;
const int SYSCALL_bind = 262 ;
const int SYSCALL_connect = 263 ;
const int SYSCALL_listen = 264 ;
const int SYSCALL_accept = 265 ;
const int SYSCALL_getsockname = 266 ;
const int SYSCALL_getpeername = 267 ;
const int SYSCALL_socketpair = 268 ;
const int SYSCALL_send = 269 ;
const int SYSCALL_recv = 270 ;
const int SYSCALL_sendto = 271 ;
const int SYSCALL_recvfrom = 272 ;
const int SYSCALL_shutdown = 273 ;
const int SYSCALL_setsockopt = 274 ;
const int SYSCALL_getsockopt = 275 ;
const int SYSCALL_sendmsg = 276 ;
const int SYSCALL_recvmsg = 277 ;
const int SYSCALL_semop = 301 ;
const int SYSCALL_semget = 302 ;
const int SYSCALL_semctl = 303 ;
const int SYSCALL_msgsnd = 311 ;
const int SYSCALL_msgrcv = 312 ;
const int SYSCALL_msgget = 313 ;
const int SYSCALL_msgctl = 314 ;
const int SYSCALL_shmat = 321 ;
const int SYSCALL_shmdt = 322 ;
const int SYSCALL_shmget = 323 ;
const int SYSCALL_shmctl = 324 ;

#endif
